Bug 351260

Summary: Crash with sqlite backend
Product: digikam Reporter: Ingo Rehmke <McFiddich>
Component: Database-SqliteAssignee: Digikam Developers <digikam-bugs-null>
Status: RESOLVED FIXED    
Severity: crash CC: caulier.gilles, metzpinguin
Priority: NOR Keywords: drkonqi
Version: 4.12.0   
Target Milestone: ---   
Platform: openSUSE RPMs   
OS: Linux   
Latest Commit: Version Fixed In: 7.1.0

Description Ingo Rehmke 2015-08-13 15:29:22 UTC
Application: digikam (4.12.0)
KDE Platform Version: 4.14.9
Qt Version: 4.8.6
Operating System: Linux 3.16.7-21-desktop x86_64
Distribution: "openSUSE 13.2 (Harlequin) (x86_64)"

-- Information about the crash:
When downloading new Fotos from Camera I try to delete the files on the cam dk crashed, but the Files are deleted and imported to dk.
When tagging Photos dk crash everytime.
i'm using openSUSE 13.2 with KDE 4.14.9, digikam version 4.12.0
 I started digikam in a Terminal and got these Information:
digikam(11813)/KEXIV2: Cannot remove Xmp tag using Exiv2   (Error # 35 :  No namespace info available for XMP prefix `acdsee' 
digikam(11813)/KEXIV2: Cannot remove Xmp tag using Exiv2   (Error # 35 :  No namespace info available for XMP prefix `acdsee' 
digikam(11813)/KEXIV2: Cannot remove Xmp tag using Exiv2   (Error # 35 :  No namespace info available for XMP prefix `acdsee' 
digikam(11813)/KEXIV2: Cannot remove Xmp tag using Exiv2   (Error # 35 :  No namespace info available for XMP prefix `acdsee' 
digikam(11813)/KEXIV2: Cannot set Xmp tag string into image using Exiv2   (Error # 35 :  No namespace info available for XMP prefix `acdsee' 
digikam(11813)/KEXIV2: Cannot remove Xmp tag using Exiv2   (Error # 35 :  No namespace info available for XMP prefix `acdsee' 
digikam(11813)/KEXIV2: Cannot remove Xmp tag using Exiv2   (Error # 35 :  No namespace info available for XMP prefix `acdsee' 
digikam(11813)/KEXIV2: Cannot remove Xmp tag using Exiv2   (Error # 35 :  No namespace info available for XMP prefix `acdsee' 
digikam(11813)/KEXIV2: Cannot set Xmp tag string into image using Exiv2   (Error # 35 :  No namespace info available for XMP prefix `acdsee' 
digikam(11813)/KEXIV2: Cannot remove Xmp tag using Exiv2   (Error # 35 :  No namespace info available for XMP prefix `acdsee' 
digikam(11813)/KEXIV2: Cannot set Xmp tag string into image using Exiv2   (Error # 35 :  No namespace info available for XMP prefix `acdsee' 
digikam(11813): "database is locked Zeile kann nicht abgeholt werden" 
Could not delete xattr for "/run/media/ingo/VERBATIM/Fotos/2015/08/Sail 2015/2. Tag/CIMG3646.JPG" "user.xdg.comment" 
digikam(11813)/KEXIV2: Cannot remove Xmp tag using Exiv2   (Error # 35 :  No namespace info available for XMP prefix `acdsee' 
digikam(11813)/KEXIV2: Cannot remove Xmp tag using Exiv2   (Error # 35 :  No namespace info available for XMP prefix `acdsee' 
digikam(11813)/KEXIV2: Cannot remove Xmp tag using Exiv2   (Error # 35 :  No namespace info available for XMP prefix `acdsee' 
digikam(11813)/KEXIV2: Cannot set Xmp tag string into image using Exiv2   (Error # 35 :  No namespace info available for XMP prefix `acdsee' 
digikam(11813)/KEXIV2: Cannot remove Xmp tag using Exiv2   (Error # 35 :  No namespace info available for XMP prefix `acdsee' 
digikam(11813)/KEXIV2: Cannot set Xmp tag string into image using Exiv2   (Error # 35 :  No namespace info available for XMP prefix `acdsee' 
digikam(11813)/KEXIV2: Cannot remove Xmp tag using Exiv2   (Error # 35 :  No namespace info available for XMP prefix `acdsee' 
digikam(11813)/KEXIV2: Cannot remove Xmp tag using Exiv2   (Error # 35 :  No namespace info available for XMP prefix `acdsee' 
digikam(11813)/KEXIV2: Cannot remove Xmp tag using Exiv2   (Error # 35 :  No namespace info available for XMP prefix `acdsee' 
digikam(11813)/KEXIV2: Cannot set Xmp tag string into image using Exiv2   (Error # 35 :  No namespace info available for XMP prefix `acdsee' 
digikam(11813)/KEXIV2: Cannot remove Xmp tag using Exiv2   (Error # 35 :  No namespace info available for XMP prefix `acdsee' 
digikam(11813)/KEXIV2: Cannot set Xmp tag string into image using Exiv2   (Error # 35 :  No namespace info available for XMP prefix `acdsee' 
QSocketNotifier: Invalid socket 15 and type 'Read', disabling...
QSocketNotifier: Invalid socket 18 and type 'Read', disabling...
QSocketNotifier: Invalid socket 21 and type 'Read', disabling...
digikam: Fatal IO error: client killed
KCrash: Application 'digikam' crashing...
KCrash: Attempting to start /usr/lib64/kde4/libexec/drkonqi from kdeinit
KCrash: Connect sock_file=/home/ingo/.kde4/socket-linux-ji10.site/kdeinit4__0
[1]+  Angehalten              digikam
ingo@linux-ji10:~> QSocketNotifier: Invalid socket 19 and type 'Read', disabling...
QSocketNotifier: Invalid socket 82 and type 'Read', disabling...
^C
[1]+  Exit 253                digikam

Thanks and bye

The crash can be reproduced every time.

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
[Current thread is 1 (Thread 0x7f2315c80880 (LWP 10479))]

Thread 9 (Thread 0x7f22f001e700 (LWP 10481)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f230f217c86 in wait (time=18446744073709551615, this=0x2e02310) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=this@entry=0x2e02220, mutex=mutex@entry=0x2e02218, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00000000005e47ee in Digikam::ScanController::run (this=0x2e01f90) at /usr/src/debug/digikam-4.12.0/core/app/database/scancontroller.cpp:725
#4  0x00007f230f21779f in QThreadPrivate::start (arg=0x2e01f90) at thread/qthread_unix.cpp:349
#5  0x00007f230c6860a4 in start_thread (arg=0x7f22f001e700) at pthread_create.c:309
#6  0x00007f230e73808d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 8 (Thread 0x7f22ef81d700 (LWP 10482)):
#0  0x00007f230e72bd2d in read () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f23068be750 in read (__nbytes=16, __buf=0x7f22ef81cb20, __fd=<optimized out>) at /usr/include/bits/unistd.h:44
#2  g_wakeup_acknowledge (wakeup=0x7f22e80027b0) at gwakeup.c:210
#3  0x00007f230687d714 in g_main_context_check (context=context@entry=0x7f22e00009a0, max_priority=2147483647, fds=fds@entry=0x7f22e0003260, n_fds=n_fds@entry=1) at gmain.c:3579
#4  0x00007f230687db7b in g_main_context_iterate (context=context@entry=0x7f22e00009a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3778
#5  0x00007f230687dcec in g_main_context_iteration (context=0x7f22e00009a0, may_block=1) at gmain.c:3842
#6  0x00007f230f3460de in QEventDispatcherGlib::processEvents (this=0x7f22e00008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:452
#7  0x00007f230f317e6f in QEventLoop::processEvents (this=this@entry=0x7f22ef81cd20, flags=...) at kernel/qeventloop.cpp:149
#8  0x00007f230f318165 in QEventLoop::exec (this=this@entry=0x7f22ef81cd20, flags=...) at kernel/qeventloop.cpp:204
#9  0x00007f230f2150bf in QThread::exec (this=this@entry=0x2e4d300) at thread/qthread.cpp:538
#10 0x00007f230f2f9783 in QInotifyFileSystemWatcherEngine::run (this=0x2e4d300) at io/qfilesystemwatcher_inotify.cpp:265
#11 0x00007f230f21779f in QThreadPrivate::start (arg=0x2e4d300) at thread/qthread_unix.cpp:349
#12 0x00007f230c6860a4 in start_thread (arg=0x7f22ef81d700) at pthread_create.c:309
#13 0x00007f230e73808d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 7 (Thread 0x7f22ef01c700 (LWP 10484)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f230f217c86 in wait (time=18446744073709551615, this=0x2f34710) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=this@entry=0x2e4c4f0, mutex=mutex@entry=0x2e4c4e8, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f2313a29c9a in Digikam::ParkingThread::run (this=0x2e4c4d0) at /usr/src/debug/digikam-4.12.0/core/libs/threads/threadmanager.cpp:119
#4  0x00007f230f21779f in QThreadPrivate::start (arg=0x2e4c4d0) at thread/qthread_unix.cpp:349
#5  0x00007f230c6860a4 in start_thread (arg=0x7f22ef01c700) at pthread_create.c:309
#6  0x00007f230e73808d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 6 (Thread 0x7f2287fff700 (LWP 10506)):
#0  __lll_lock_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:135
#1  0x00007f230c6884a4 in _L_lock_952 () from /lib64/libpthread.so.0
#2  0x00007f230c688306 in __GI___pthread_mutex_lock (mutex=0x7f226802b418) at ../nptl/pthread_mutex_lock.c:114
#3  0x00007f22f91ab9cf in sqlite3_finalize (pStmt=0x7f2268001278) at sqlite3.c:66320
#4  0x00007f22ee617b5c in finalize (this=0x7f2268029f70) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:154
#5  QSQLiteDriver::close (this=0x7f228005c8c0) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:587
#6  0x00007f22ee61624e in QSQLiteDriver::open (this=0x7f228005c8c0, db=..., conOpts=...) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:548
#7  0x00007f23158ed7e1 in QSqlDatabase::open (this=this@entry=0x7f2287ffe4d0) at kernel/qsqldatabase.cpp:839
#8  0x00007f230ad05b48 in fileMappingDb (path=...) at /usr/src/debug/baloo-4.14.3/src/file/lib/db.cpp:50
#9  0x00007f230ad06148 in fileMappingDb () at /usr/src/debug/baloo-4.14.3/src/file/lib/db.cpp:39
#10 0x00007f230ad0213c in Baloo::FileModifyJob::doStart (this=0x7f2280028110) at /usr/src/debug/baloo-4.14.3/src/file/lib/filemodifyjob.cpp:113
#11 0x00007f230f33159e in QObject::event (this=0x7f2280028110, e=<optimized out>) at kernel/qobject.cpp:1231
#12 0x00007f230fd2776c in QApplicationPrivate::notify_helper (this=this@entry=0x2c91fa0, receiver=receiver@entry=0x7f2280028110, e=e@entry=0x7f2280049610) at kernel/qapplication.cpp:4565
#13 0x00007f230fd2dcad in QApplication::notify (this=this@entry=0x7fffb6926200, receiver=receiver@entry=0x7f2280028110, e=e@entry=0x7f2280049610) at kernel/qapplication.cpp:4351
#14 0x00007f2310a3fe0a in KApplication::notify (this=0x7fffb6926200, receiver=0x7f2280028110, event=0x7f2280049610) at /usr/src/debug/kdelibs-4.14.9/kdeui/kernel/kapplication.cpp:311
#15 0x00007f230f3192ad in QCoreApplication::notifyInternal (this=0x7fffb6926200, receiver=receiver@entry=0x7f2280028110, event=event@entry=0x7f2280049610) at kernel/qcoreapplication.cpp:953
#16 0x00007f230f31c57d in sendEvent (event=0x7f2280049610, receiver=0x7f2280028110) at kernel/qcoreapplication.h:231
#17 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x4d7ca10) at kernel/qcoreapplication.cpp:1577
#18 0x00007f230f31ca23 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1470
#19 0x00007f230f3468fe in sendPostedEvents () at kernel/qcoreapplication.h:236
#20 postEventSourceDispatch (s=0x7f22800012e0) at kernel/qeventdispatcher_glib.cpp:300
#21 0x00007f230687da04 in g_main_dispatch (context=0x7f22800009a0) at gmain.c:3111
#22 g_main_context_dispatch (context=context@entry=0x7f22800009a0) at gmain.c:3710
#23 0x00007f230687dc48 in g_main_context_iterate (context=context@entry=0x7f22800009a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3781
#24 0x00007f230687dcec in g_main_context_iteration (context=0x7f22800009a0, may_block=1) at gmain.c:3842
#25 0x00007f230f3460be in QEventDispatcherGlib::processEvents (this=0x7f22800008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:450
#26 0x00007f230f317e6f in QEventLoop::processEvents (this=this@entry=0x7f2287ffece0, flags=...) at kernel/qeventloop.cpp:149
#27 0x00007f230f318165 in QEventLoop::exec (this=this@entry=0x7f2287ffece0, flags=...) at kernel/qeventloop.cpp:204
#28 0x00007f2313a29363 in Digikam::WorkerObjectRunnable::run (this=0x7f2278025de0) at /usr/src/debug/digikam-4.12.0/core/libs/threads/threadmanager.cpp:196
#29 0x00007f230f20b6ae in QThreadPoolThread::run (this=0x4d7c8e0) at concurrent/qthreadpool.cpp:108
#30 0x00007f230f21779f in QThreadPrivate::start (arg=0x4d7c8e0) at thread/qthread_unix.cpp:349
#31 0x00007f230c6860a4 in start_thread (arg=0x7f2287fff700) at pthread_create.c:309
#32 0x00007f230e73808d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 5 (Thread 0x7f22877fe700 (LWP 10507)):
#0  0x00007f230e72fc5d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f230687dbe4 in g_main_context_poll (priority=2147483647, n_fds=1, fds=0x7f2278013960, timeout=-1, context=0x7f22780009a0) at gmain.c:4076
#2  g_main_context_iterate (context=context@entry=0x7f22780009a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3776
#3  0x00007f230687dcec in g_main_context_iteration (context=0x7f22780009a0, may_block=1) at gmain.c:3842
#4  0x00007f230f3460de in QEventDispatcherGlib::processEvents (this=0x7f22780008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:452
#5  0x00007f230f317e6f in QEventLoop::processEvents (this=this@entry=0x7f22877fdce0, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f230f318165 in QEventLoop::exec (this=this@entry=0x7f22877fdce0, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007f2313a29363 in Digikam::WorkerObjectRunnable::run (this=0x74a67f0) at /usr/src/debug/digikam-4.12.0/core/libs/threads/threadmanager.cpp:196
#8  0x00007f230f20b6ae in QThreadPoolThread::run (this=0x4d7cd70) at concurrent/qthreadpool.cpp:108
#9  0x00007f230f21779f in QThreadPrivate::start (arg=0x4d7cd70) at thread/qthread_unix.cpp:349
#10 0x00007f230c6860a4 in start_thread (arg=0x7f22877fe700) at pthread_create.c:309
#11 0x00007f230e73808d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 4 (Thread 0x7f2286ffd700 (LWP 10549)):
#0  0x00007f230e72fc5d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f230687dbe4 in g_main_context_poll (priority=2147483647, n_fds=1, fds=0x7f227c01ee70, timeout=-1, context=0x7f227c026a70) at gmain.c:4076
#2  g_main_context_iterate (context=context@entry=0x7f227c026a70, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3776
#3  0x00007f230687dcec in g_main_context_iteration (context=0x7f227c026a70, may_block=1) at gmain.c:3842
#4  0x00007f230f3460de in QEventDispatcherGlib::processEvents (this=0x7f227c022250, flags=...) at kernel/qeventdispatcher_glib.cpp:452
#5  0x00007f230f317e6f in QEventLoop::processEvents (this=this@entry=0x7f2286ffcce0, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f230f318165 in QEventLoop::exec (this=this@entry=0x7f2286ffcce0, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007f2313a29363 in Digikam::WorkerObjectRunnable::run (this=0x7f2278030440) at /usr/src/debug/digikam-4.12.0/core/libs/threads/threadmanager.cpp:196
#8  0x00007f230f20b6ae in QThreadPoolThread::run (this=0x4f88720) at concurrent/qthreadpool.cpp:108
#9  0x00007f230f21779f in QThreadPrivate::start (arg=0x4f88720) at thread/qthread_unix.cpp:349
#10 0x00007f230c6860a4 in start_thread (arg=0x7f2286ffd700) at pthread_create.c:309
#11 0x00007f230e73808d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 3 (Thread 0x7f226ffff700 (LWP 10550)):
#0  __lll_lock_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:135
#1  0x00007f230c6884a4 in _L_lock_952 () from /lib64/libpthread.so.0
#2  0x00007f230c688306 in __GI___pthread_mutex_lock (mutex=0x7f226802b418) at ../nptl/pthread_mutex_lock.c:114
#3  0x00007f22f91827d0 in sqlite3_errmsg16 (db=0x7f2268054b08) at sqlite3.c:124070
#4  0x00007f22ee614255 in qMakeError (access=<optimized out>, descr=..., type=type@entry=QSqlError::ConnectionError, errorCode=errorCode@entry=5) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:99
#5  0x00007f22ee616f9c in QSQLiteResultPrivate::fetchNext (this=this@entry=0x7f2268029f70, values=..., idx=idx@entry=0, initialFetch=initialFetch@entry=true) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:302
#6  0x00007f22ee617758 in QSQLiteResult::exec (this=0x7f2268075550) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:447
#7  0x00007f23158eb682 in QSqlQuery::exec (this=this@entry=0x7f226fffe370) at kernel/qsqlquery.cpp:949
#8  0x00007f230ad03f02 in Baloo::FileMapping::create (this=this@entry=0x7f226fffe670, db=...) at /usr/src/debug/baloo-4.14.3/src/file/lib/filemapping.cpp:125
#9  0x00007f230ad02bbf in Baloo::FileModifyJob::doStart (this=0x7f2268029290) at /usr/src/debug/baloo-4.14.3/src/file/lib/filemodifyjob.cpp:114
#10 0x00007f230f33159e in QObject::event (this=0x7f2268029290, e=<optimized out>) at kernel/qobject.cpp:1231
#11 0x00007f230fd2776c in QApplicationPrivate::notify_helper (this=this@entry=0x2c91fa0, receiver=receiver@entry=0x7f2268029290, e=e@entry=0x7f2268028e80) at kernel/qapplication.cpp:4565
#12 0x00007f230fd2dcad in QApplication::notify (this=this@entry=0x7fffb6926200, receiver=receiver@entry=0x7f2268029290, e=e@entry=0x7f2268028e80) at kernel/qapplication.cpp:4351
#13 0x00007f2310a3fe0a in KApplication::notify (this=0x7fffb6926200, receiver=0x7f2268029290, event=0x7f2268028e80) at /usr/src/debug/kdelibs-4.14.9/kdeui/kernel/kapplication.cpp:311
#14 0x00007f230f3192ad in QCoreApplication::notifyInternal (this=0x7fffb6926200, receiver=receiver@entry=0x7f2268029290, event=event@entry=0x7f2268028e80) at kernel/qcoreapplication.cpp:953
#15 0x00007f230f31c57d in sendEvent (event=0x7f2268028e80, receiver=0x7f2268029290) at kernel/qcoreapplication.h:231
#16 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x4f8c700) at kernel/qcoreapplication.cpp:1577
#17 0x00007f230f31ca23 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1470
#18 0x00007f230f3468fe in sendPostedEvents () at kernel/qcoreapplication.h:236
#19 postEventSourceDispatch (s=0x7f2268002e00) at kernel/qeventdispatcher_glib.cpp:300
#20 0x00007f230687da04 in g_main_dispatch (context=0x7f2268029380) at gmain.c:3111
#21 g_main_context_dispatch (context=context@entry=0x7f2268029380) at gmain.c:3710
#22 0x00007f230687dc48 in g_main_context_iterate (context=context@entry=0x7f2268029380, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3781
#23 0x00007f230687dcec in g_main_context_iteration (context=0x7f2268029380, may_block=1) at gmain.c:3842
#24 0x00007f230f3460be in QEventDispatcherGlib::processEvents (this=0x7f2268003080, flags=...) at kernel/qeventdispatcher_glib.cpp:450
#25 0x00007f230f317e6f in QEventLoop::processEvents (this=this@entry=0x7f226fffece0, flags=...) at kernel/qeventloop.cpp:149
#26 0x00007f230f318165 in QEventLoop::exec (this=this@entry=0x7f226fffece0, flags=...) at kernel/qeventloop.cpp:204
#27 0x00007f2313a29363 in Digikam::WorkerObjectRunnable::run (this=0x7f227803b3e0) at /usr/src/debug/digikam-4.12.0/core/libs/threads/threadmanager.cpp:196
#28 0x00007f230f20b6ae in QThreadPoolThread::run (this=0x4f87610) at concurrent/qthreadpool.cpp:108
#29 0x00007f230f21779f in QThreadPrivate::start (arg=0x4f87610) at thread/qthread_unix.cpp:349
#30 0x00007f230c6860a4 in start_thread (arg=0x7f226ffff700) at pthread_create.c:309
#31 0x00007f230e73808d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 2 (Thread 0x7f22d80eb700 (LWP 10551)):
[KCrash Handler]
#6  sqlite3VdbeMemSetNull (pMem=<optimized out>, pMem=<optimized out>) at sqlite3.c:61326
#7  0x00007f22f9180fe1 in sqlite3ValueSetNull (p=<optimized out>) at sqlite3.c:61337
#8  sqlite3Error (db=db@entry=0x7f226802c318, err_code=err_code@entry=7, zFormat=zFormat@entry=0x0) at sqlite3.c:22383
#9  0x00007f22f9181141 in sqlite3ApiExit (db=0x7f226802c318, rc=<optimized out>) at sqlite3.c:20522
#10 0x00007f22f91ab9e1 in sqlite3_finalize (pStmt=0x7f2268001278) at sqlite3.c:66322
#11 0x00007f22ee617b5c in finalize (this=0x7f2268013380) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:154
#12 QSQLiteDriver::close (this=0x7f228005c8c0) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:587
#13 0x00007f22ee61624e in QSQLiteDriver::open (this=0x7f228005c8c0, db=..., conOpts=...) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:548
#14 0x00007f23158ed7e1 in QSqlDatabase::open (this=this@entry=0x7f22d80ea4d0) at kernel/qsqldatabase.cpp:839
#15 0x00007f230ad05b48 in fileMappingDb (path=...) at /usr/src/debug/baloo-4.14.3/src/file/lib/db.cpp:50
#16 0x00007f230ad06148 in fileMappingDb () at /usr/src/debug/baloo-4.14.3/src/file/lib/db.cpp:39
#17 0x00007f230ad0213c in Baloo::FileModifyJob::doStart (this=0x7f22ac059a90) at /usr/src/debug/baloo-4.14.3/src/file/lib/filemodifyjob.cpp:113
#18 0x00007f230f33159e in QObject::event (this=0x7f22ac059a90, e=<optimized out>) at kernel/qobject.cpp:1231
#19 0x00007f230fd2776c in QApplicationPrivate::notify_helper (this=this@entry=0x2c91fa0, receiver=receiver@entry=0x7f22ac059a90, e=e@entry=0x7f22ac002870) at kernel/qapplication.cpp:4565
#20 0x00007f230fd2dcad in QApplication::notify (this=this@entry=0x7fffb6926200, receiver=receiver@entry=0x7f22ac059a90, e=e@entry=0x7f22ac002870) at kernel/qapplication.cpp:4351
#21 0x00007f2310a3fe0a in KApplication::notify (this=0x7fffb6926200, receiver=0x7f22ac059a90, event=0x7f22ac002870) at /usr/src/debug/kdelibs-4.14.9/kdeui/kernel/kapplication.cpp:311
#22 0x00007f230f3192ad in QCoreApplication::notifyInternal (this=0x7fffb6926200, receiver=receiver@entry=0x7f22ac059a90, event=event@entry=0x7f22ac002870) at kernel/qcoreapplication.cpp:953
#23 0x00007f230f31c57d in sendEvent (event=0x7f22ac002870, receiver=0x7f22ac059a90) at kernel/qcoreapplication.h:231
#24 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x7f228c013590) at kernel/qcoreapplication.cpp:1577
#25 0x00007f230f31ca23 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1470
#26 0x00007f230f3468fe in sendPostedEvents () at kernel/qcoreapplication.h:236
#27 postEventSourceDispatch (s=0x7f22ac013420) at kernel/qeventdispatcher_glib.cpp:300
#28 0x00007f230687da04 in g_main_dispatch (context=0x7f22ac002b40) at gmain.c:3111
#29 g_main_context_dispatch (context=context@entry=0x7f22ac002b40) at gmain.c:3710
#30 0x00007f230687dc48 in g_main_context_iterate (context=context@entry=0x7f22ac002b40, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3781
#31 0x00007f230687dcec in g_main_context_iteration (context=0x7f22ac002b40, may_block=1) at gmain.c:3842
#32 0x00007f230f3460be in QEventDispatcherGlib::processEvents (this=0x7f22ac0237f0, flags=...) at kernel/qeventdispatcher_glib.cpp:450
#33 0x00007f230f317e6f in QEventLoop::processEvents (this=this@entry=0x7f22d80eace0, flags=...) at kernel/qeventloop.cpp:149
#34 0x00007f230f318165 in QEventLoop::exec (this=this@entry=0x7f22d80eace0, flags=...) at kernel/qeventloop.cpp:204
#35 0x00007f2313a29363 in Digikam::WorkerObjectRunnable::run (this=0x7f2278030330) at /usr/src/debug/digikam-4.12.0/core/libs/threads/threadmanager.cpp:196
#36 0x00007f230f20b6ae in QThreadPoolThread::run (this=0x7f228c0133f0) at concurrent/qthreadpool.cpp:108
#37 0x00007f230f21779f in QThreadPrivate::start (arg=0x7f228c0133f0) at thread/qthread_unix.cpp:349
#38 0x00007f230c6860a4 in start_thread (arg=0x7f22d80eb700) at pthread_create.c:309
#39 0x00007f230e73808d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 1 (Thread 0x7f2315c80880 (LWP 10479)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f230f217c86 in wait (time=18446744073709551615, this=0x3b47b80) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x3b47368, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f2313a29f64 in Digikam::WorkerObject::wait (this=0x3b47a90) at /usr/src/debug/digikam-4.12.0/core/libs/threads/workerobject.cpp:95
#4  0x00000000006296b3 in Digikam::FileActionMngr::shutDown (this=this@entry=0x3b47760) at /usr/src/debug/digikam-4.12.0/core/app/fileaction/fileactionmngr.cpp:110
#5  0x00000000006296e5 in Digikam::FileActionMngr::~FileActionMngr (this=0x3b47760, __in_chrg=<optimized out>) at /usr/src/debug/digikam-4.12.0/core/app/fileaction/fileactionmngr.cpp:78
#6  0x0000000000629747 in ~FileActionMngrCreator (this=0x3b47760, __in_chrg=<optimized out>) at /usr/src/debug/digikam-4.12.0/core/app/fileaction/fileactionmngr.cpp:52
#7  destroy () at /usr/src/debug/digikam-4.12.0/core/app/fileaction/fileactionmngr.cpp:59
#8  0x00007f230e68abf9 in __run_exit_handlers (status=1, listp=0x7f230e9f45a8 <__exit_funcs>, run_list_atexit=run_list_atexit@entry=true) at exit.c:82
#9  0x00007f230e68ac45 in __GI_exit (status=<optimized out>) at exit.c:104
#10 0x00007f230fd8dfc8 in qt_xio_errhandler () at kernel/qapplication_x11.cpp:773
#11 0x00007f2310a3e9c0 in KApplication::xioErrhandler (this=0x7fffb6926200, dpy=0x2cf0eb0) at /usr/src/debug/kdelibs-4.14.9/kdeui/kernel/kapplication.cpp:419
#12 0x00007f230cc253be in _XIOError (dpy=dpy@entry=0x2cf0eb0) at XlibInt.c:1498
#13 0x00007f230cc22dbd in _XEventsQueued (dpy=dpy@entry=0x2cf0eb0, mode=mode@entry=2) at xcb_io.c:366
#14 0x00007f230cc14deb in XEventsQueued (dpy=0x2cf0eb0, mode=2) at Pending.c:43
#15 0x00007f230fdc40ec in x11EventSourceCheck (s=0x2c824a0) at kernel/qguieventdispatcher_glib.cpp:85
#16 0x00007f230687d661 in g_main_context_check (context=context@entry=0x2c922f0, max_priority=0, fds=fds@entry=0x5c32860, n_fds=n_fds@entry=12) at gmain.c:3622
#17 0x00007f230687db7b in g_main_context_iterate (context=context@entry=0x2c922f0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3778
#18 0x00007f230687dcec in g_main_context_iteration (context=0x2c922f0, may_block=1) at gmain.c:3842
#19 0x00007f230f3460be in QEventDispatcherGlib::processEvents (this=0x2be3dc0, flags=...) at kernel/qeventdispatcher_glib.cpp:450
#20 0x00007f230fdc4676 in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#21 0x00007f230f317e6f in QEventLoop::processEvents (this=this@entry=0x7fffb6925d10, flags=...) at kernel/qeventloop.cpp:149
#22 0x00007f230f318165 in QEventLoop::exec (this=this@entry=0x7fffb6925d10, flags=...) at kernel/qeventloop.cpp:204
#23 0x00007f230f31d5b9 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1225
#24 0x00007f230fd25f3c in QApplication::exec () at kernel/qapplication.cpp:3823
#25 0x00000000004a1196 in main (argc=<optimized out>, argv=<optimized out>) at /usr/src/debug/digikam-4.12.0/core/app/main/main.cpp:230

Possible duplicates by query: bug 347450.

Reported using DrKonqi
Comment 1 caulier.gilles 2015-08-14 08:48:02 UTC
I crash do to ACDSee namespace missing.

Update Exiv2 and libkexiv2 libraries.

Gilles Caulier

*** This bug has been marked as a duplicate of bug 345220 ***
Comment 2 caulier.gilles 2015-08-14 08:49:09 UTC
*** Bug 351261 has been marked as a duplicate of this bug. ***
Comment 3 Ingo Rehmke 2015-08-14 11:25:49 UTC
(In reply to Gilles Caulier from comment #1)
> I crash do to ACDSee namespace missing.
> 
> Update Exiv2 and libkexiv2 libraries.
> 
> Gilles Caulier
> 
> *** This bug has been marked as a duplicate of bug 345220 ***

libexiv2 is on latest version, but exiv2 were not installed. i'll test it
Thank you
Comment 4 Maik Qualmann 2015-08-14 19:30:25 UTC
libexiv2 >= 0.2.5 or libkexiv2 >= 15.04.3 must be upgraded to this versions.

Maik
Comment 5 Ingo Rehmke 2015-08-17 15:17:35 UTC
(In reply to Maik Qualmann from comment #4)
> libexiv2 >= 0.2.5 or libkexiv2 >= 15.04.3 must be upgraded to this versions.
> 
> Maik

my libexiv2-13 version is 0.24-4.1.9. and libkexiv2-11 14.12.3-16.1
i can find no other version for opensuse 64bit

Ingo
Comment 7 caulier.gilles 2020-07-26 12:26:59 UTC
Fixed with #345220